Bug 1489383 - Review Request: transtats-cli - Transtats command line interface to query server
Summary: Review Request: transtats-cli - Transtats command line interface to query server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 10:26 UTC by Sundeep Anand
Modified: 2017-11-11 19:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 19:16:14 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Sundeep Anand 2017-09-07 10:26:54 UTC
Spec URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/transtats-cli.spec
SRPM URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/transtats-cli-0.1.0-1.fc26.src.rpm
Description: Transtats command line interface to query server
Fedora Account System Username: suanand

Scratch builds:
https://koji.fedoraproject.org/koji/taskinfo?taskID=21702856
https://koji.fedoraproject.org/koji/taskinfo?taskID=21702872

rpmlint output:
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Project URL: http://transtats.org

Comment 2 Parag AN(पराग) 2017-09-12 17:16:31 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


rpmlint output is
python2-transtats-cli.noarch: W: no-manual-page-for-binary transtats
python3-transtats-cli.noarch: W: no-manual-page-for-binary transtats
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

==> Note that you want to create man page as transtats.1 if your binary is transtats


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 4 files have unknown license. Detailed output of licensecheck
     in /home/parag/1489383-transtats-cli/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -transtats-cli , python3-transtats-cli
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-transtats-cli-0.1.0-2.fc28.noarch.rpm
          python3-transtats-cli-0.1.0-2.fc28.noarch.rpm
          transtats-cli-0.1.0-2.fc28.src.rpm
python2-transtats-cli.noarch: W: no-manual-page-for-binary transtats
python3-transtats-cli.noarch: W: no-manual-page-for-binary transtats
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python3-transtats-cli.noarch: W: no-manual-page-for-binary transtats
python2-transtats-cli.noarch: W: no-manual-page-for-binary transtats
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python3-transtats-cli (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-click
    python3-requests

python2-transtats-cli (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python2-click
    python2-requests



Provides
--------
python3-transtats-cli:
    python3-transtats-cli
    python3.6dist(transtats-cli)
    python3dist(transtats-cli)

python2-transtats-cli:
    python-transtats-cli
    python2-transtats-cli
    python2.7dist(transtats-cli)
    python2dist(transtats-cli)



Source checksums
----------------
https://github.com/transtats/transtats-cli/archive/0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3af81d600d567e75006032cad5077bb4d203c55263e9a9e13941798ecd5f1be6
  CHECKSUM(SHA256) upstream package : 3af81d600d567e75006032cad5077bb4d203c55263e9a9e13941798ecd5f1be6


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1489383 -m fedora-rawhide-x86_64

APPROVED.

Comment 3 Sundeep Anand 2017-09-13 05:47:56 UTC
Thanks for the review! Have updated SPEC and SRPM:

Spec URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/transtats-cli.spec

SRPM URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/transtats-cli-0.1.0-3.fc26.src.rpm


Scratch builds:
https://koji.fedoraproject.org/koji/taskinfo?taskID=21835592
https://koji.fedoraproject.org/koji/taskinfo?taskID=21835590

rpmlint output:
rpmlint transtats-cli.spec ../SRPMS/transtats-cli-0.1.0-3.fc26.src.rpm ../RPMS/noarch/python2-transtats-cli-0.1.0-3.fc26.noarch.rpm ../RPMS/noarch/python3-transtats-cli-0.1.0-3.fc26.noarch.rpm 

3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 Parag AN(पराग) 2017-09-13 06:19:48 UTC
Good. You can follow now next step as given in https://fedoraproject.org/wiki/Infrastructure/WhatHappenedToPkgdb#How_do_I_request_a_new_package_or_a_new_branch

Comment 5 Gwyn Ciesla 2017-09-20 16:31:01 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/transtats-cli

Comment 6 Fedora Update System 2017-09-21 12:38:09 UTC
transtats-cli-0.1.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e03095b475

Comment 7 Fedora Update System 2017-09-21 12:41:31 UTC
transtats-cli-0.1.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c59a13726

Comment 8 Fedora Update System 2017-09-21 23:59:21 UTC
transtats-cli-0.1.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e03095b475

Comment 9 Fedora Update System 2017-09-22 05:50:28 UTC
transtats-cli-0.1.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c59a13726

Comment 10 Fedora Update System 2017-09-30 06:46:19 UTC
transtats-cli-0.1.0-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-10-25 08:54:51 UTC
transtats-cli-0.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-efaf876fe5

Comment 12 Fedora Update System 2017-10-25 09:44:40 UTC
transtats-cli-0.1.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fddd1a263e

Comment 13 Fedora Update System 2017-10-26 14:08:37 UTC
transtats-cli-0.1.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fddd1a263e

Comment 14 Fedora Update System 2017-11-11 19:16:14 UTC
transtats-cli-0.1.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.